# Backupmypics

A simple gem to download pictures from an instagram profile through the CLI.

# I just developed this gem to study the Ruby language...

While developing this gem I gave my first steps in the language and could:

- Get familiar with the language (and [Ruby docs](#)!)
- Get to know and use RSpec and Nokogiri
- Learn the basics of how to create ruby gems


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'backupmypics'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install backupmypics

## Usage

At this time, it has some limitations:

- Can't handle private profiles. Only public ones.
- It only downloads the first ~9 pictures displayed when you access your profile. It's not requesting the next pages.
- Downloads all the pictures to a folder named `backupmypics` in your user home directory. Make sure it exists and have write access!

As soon as you have the gem installed, accessible through your CLI and you know the limitations, just type:

    $ backupmypics -u my_instagram_username

...and wait the pictures come!

## TODO

- [ ] Add tests correctly
- [ ] Add async calls to get user data and download the pictures faster
- [ ] Download all the pictures from all pages, not only from the first page 
- [ ] Add an option to user choose where to save the pictures 
- [ ] Add Rubocop, Travis and CodeClimate


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

