# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'backupmypics/version'

Gem::Specification.new do |spec|
  spec.name          = "backupmypics"
  spec.version       = Backupmypics::VERSION
  spec.authors       = ["Bruno Schmidt"]
  spec.email         = ["bruunoxp2@gmail.com"]

  spec.summary       = %q{Downloads all the photos from an user on instagram}
  spec.homepage      = "https://github.com/brunoschmello/backupmypics"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = ["backupmypics"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_dependency "nokogiri", "~> 1.6"
  spec.add_dependency "json", "~> 2.0"
  spec.add_dependency "chainable_methods", "~> 0.2"
end
